package com.ibiz.core.external.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.external.domain.JQXBJ;
import com.ibiz.core.external.filter.JQXBJSearchContext;

/**
 * 实体[JQXBJ] 服务对象接口
 */

public interface IJQXBJService{
     boolean update(JQXBJ jqxbj) ;
     JQXBJ get(String jqxbjid) ;
     JQXBJ get(JQXBJ jqxbj) ;
     boolean remove(String jqxbjid) ;
     boolean save(JQXBJ jqxbj) ;
     boolean create(JQXBJ jqxbj) ;
     boolean checkKey(JQXBJ jqxbj) ;
     JQXBJ getDraft(JQXBJ jqxbj) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<JQXBJ> searchDefault(JQXBJSearchContext context) ;

}
